package Jellybean::Response;

sub new
{
	bless { headers => {} }, $_[0];
}

sub add_header
{
	my ($self, $name, $value) = @_;
	$value = '' unless defined $value;
	$self->{headers}{$name}   = $value;
}

sub headers
{
	my $self = shift;
	return %{ $self->{headers} };
}

sub body
{
	my $self      = shift;
	$self->{body} = shift if @_;
	return $self->{body} || '';
}

sub connection
{
	my $self      = shift;
	$self->{conn} = shift if @_;
	return $self->{conn};
}

1;
